package net.lensfrex.dscape.dao.entity;

import lombok.Data;

import java.time.LocalDateTime;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

/**
 * @description role_permission
 * @author lensfrex
 * @date 2022-08-17
 */
@Data
public class RolePermission implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    /**
     * id
     */
    private Long id;

    /**
     * 角色id
     */
    private Integer role;

    /**
     * 权限id
     */
    private Integer permission;

    /**
     * create_time
     */
    private LocalDateTime createTime;

    /**
     * edit_time
     */
    private LocalDateTime editTime;

    /**
     * is_deleted
     */
    private int isDeleted;

    public RolePermission() {}
}